window.FSMobilePlatePlugin = {
    data : {},
    mobilePlateCustomTab : function() {
        var self = this;
        this.initData();
        return {
            title : FR.i18nText("FS-Module-MobilePush_Setting"),
            content : {
                type: 'confirm',
                firstBtnMargin: 40,
                text4OK: FR.i18nText("FS-Frame-Simple_Save"),
                text4Cancel: null,
                width: 600,
                height: 250,
                btnsAlignment: 'left',
                closeAfterAction: false,
                doSize: true,
                onOK: function () {
                    var config = {};
                    var tabPane = FSMP.View.tabPane;
                    if(tabPane) {
                        var iOS_accessIdWidget = tabPane.getWidgetByName("xinge_iOS_accessIDText");
                        var iOS_secretKeyWidget = tabPane.getWidgetByName("xinge_iOS_secretKeyText");
                        var android_accessIdWidget = tabPane.getWidgetByName("xinge_android_accessIDText");
                        var android_secretKeyWidget = tabPane.getWidgetByName("xinge_android_secretKeyText");
                        var iOS_environmentIsDevelop = tabPane.getWidgetByName("xinge_iOS_environment");

                        if(iOS_accessIdWidget) {
                            if(isNaN(iOS_accessIdWidget.getValue())) {
                                FR.Msg.toast("AccessID must be a number！");
                                return;
                            }
                            config.iOS_accessId = iOS_accessIdWidget.getValue();
                        }
                        if(iOS_secretKeyWidget) {
                            config.iOS_secretKey = iOS_secretKeyWidget.getValue();
                        }
                        if(android_accessIdWidget) {
                            if(isNaN(android_accessIdWidget.getValue())) {
                                FR.Msg.toast("AccessID must be a number！");
                                return;
                            }
                            config.android_accessId = android_accessIdWidget.getValue();
                        }
                        if(android_secretKeyWidget) {
                            config.android_secretKey = android_secretKeyWidget.getValue();
                        }
                        config.iOS_environment_isDevelop = iOS_environmentIsDevelop && iOS_environmentIsDevelop.getValue();
                    }
                    FR.ajax({
                        url: FR.servletURL + '?op=xinGeSetting',
                        type: 'POST',
                        data: config,
                        complete: function (res, status) {
                            if (status === 'success') {
                                FR.Msg.toast(FR.i18nText("FS-Generic-Simple_Successfully"));
                            }
                        }
                    });
                },
                contentWidget : {
                    type : 'absolute',
                    items : [
                        {
                            x : 40,
                            y : 5,
                            type : 'label',
                            value : "IOS ACCESS ID",
                            width : 180,
                            height : 16
                        },
                        {
                            x : 180,
                            y : 5,
                            value : self.data.iOS_accessId,
                            type : 'text',
                            width : 290,
                            height : 21,
                            widgetName:'xinge_iOS_accessIDText'
                        },
                        {
                            x : 40,
                            y : 40,
                            type : 'label',
                            value : "IOS SECRET KEY",
                            width : 180,
                            height : 16
                        },
                        {
                            x : 180,
                            y : 40,
                            type : 'text',
                            value : self.data.iOS_secretKey,
                            width : 290,
                            height : 21,
                            widgetName:'xinge_iOS_secretKeyText'
                        },
                        {
                            x : 40,
                            y : 75,
                            type : 'label',
                            value : "ANDROID ACCESS ID",
                            width : 180,
                            height : 16
                        },
                        {
                            x : 180,
                            y : 75,
                            value : self.data.android_accessId,
                            type : 'text',
                            width : 290,
                            height : 21,
                            widgetName:'xinge_android_accessIDText'
                        },
                        {
                            x : 40,
                            y : 110,
                            type : 'label',
                            value : "ANDROID SECRET KEY",
                            width : 180,
                            height : 16
                        },
                        {
                            x : 180,
                            y : 110,
                            value : self.data.android_secretKey,
                            type : 'text',
                            width : 290,
                            height : 21,
                            widgetName:'xinge_android_secretKeyText'
                        },
                        {
                            x : 40,
                            y : 145,
                            type : 'label',
                            value : FR.i18nText("FS-Module-MobilePush_IOS_IsDevelop"),
                            width : 180,
                            height : 16
                        },
                        {
                            x : 180,
                            y : 145,
                            value : self.data.iOS_environment_isDevelop,
                            type: 'switch',
                            widgetName:"xinge_iOS_environment",
                            onTurnOff:function(){
                            },
                            onTurnOn:function(){
                            }
                        }
                    ]
                }
            }
        }
    },
    initData : function() {
        var self = this;
        FR.ajax({
            url: FR.servletURL + '?op=xinGeSetting&cmd=config_get',
            type: 'POST',
            async: false,
            complete: function (res, status) {
                self.data = FR.jsonDecode(res.responseText);
            }
        });
    }
};